Package weka.associations.tertius

# Class IndividualLiteral

java.lang.Object
weka.associations.tertius.Literal
weka.associations.tertius.AttributeValueLiteral
weka.associations.tertius.IndividualLiteral

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class IndividualLiteral extends AttributeValueLiteral

Version:
  $Revision: 1.5 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`INDIVIDUAL_PROPERTY`
`static int`
`PART_PROPERTY`

### Fields inherited from class weka.associations.tertius.Literal

`NEG, POS`

## Constructor Summary

Constructors
Constructor
Description
`IndividualLiteral(Predicate predicate, String value, int index, int sign, int missing, int type)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`int`
`getType()`

### Methods inherited from class weka.associations.tertius.AttributeValueLiteral

`negationSatisfies, satisfies, toString`

### Methods inherited from class weka.associations.tertius.Literal

`getNegation, getPredicate, negative, positive, setNegation`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INDIVIDUAL_PROPERTY

public static int INDIVIDUAL_PROPERTY

### PART_PROPERTY

public static int PART_PROPERTY

## Constructor Details

### IndividualLiteral

public IndividualLiteral(Predicate predicate, String value, int index, int sign, int missing, int type)

## Method Details

### getType

public int getType()

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `AttributeValueLiteral`
Returns:
  the revision